Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.StructTreeEntity Class Reference
Inheritance diagram for FoxitPDFSDKPython3.StructTreeEntity:

## Public Member Functions
def | StructTreeEntity ()
| Constructor. More...
def | GetPage ()
| Get the related PDF page. More...
def | GetType ()
| Get structure tree entity type. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Static Public Attributes
| e_StructTreeEntityTypeElement = _fsdk.StructTreeEntity_e_StructTreeEntityTypeElement
| Structure tree entity type: Element, which represents a structure element.
| e_StructTreeEntityTypeMarkedContent = _fsdk.StructTreeEntity_e_StructTreeEntityTypeMarkedContent
| Structure tree entity type: MarkedContent, which represents a marked-content item.
| e_StructTreeEntityTypeObjectContent = _fsdk.StructTreeEntity_e_StructTreeEntityTypeObjectContent
| Structure tree entity type: ObjectContent, which represents a PDF object content item, such as annotation and XObject.
| e_UnknownType = _fsdk.StructTreeEntity_e_UnknownType
| Structure tree entity type: unknown.

## Detailed Description

This class represents structure tree entity.

## Constructor & Destructor Documentation

## ◆ StructTreeEntity()

def FoxitPDFSDKPython3.StructTreeEntity.StructTreeEntity | ( |  | ) |

Constructor.

Constructor, with another structure element entity object.

Parameters

  [in] | other | Another structure element entity object.

## Member Function Documentation

## ◆ GetPage()

def FoxitPDFSDKPython3.StructTreeEntity.GetPage | ( |  | ) |

Get the related PDF page.

Returns
  A PDF page object which is the related PDF page.

## ◆ GetType()

def FoxitPDFSDKPython3.StructTreeEntity.GetType | ( |  | ) |

Get structure tree entity type.

Returns
  Structure tree entity type. Please refer to values starting from FoxitPDFSDKPython3.StructTreeEntity.e_StructTreeEntityTypeElement and this would be one of these values.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.StructTreeEntity.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.